local StateInterface = require "app/bf/state_machine/state_interface"
local CharacterStateBase = class("CharacterStateBase", StateInterface)

function CharacterStateBase:ctor(fsm, characterObj)
    self.fsm = fsm
    self.characterObj = characterObj
end

function CharacterStateBase:setCharacterObj(characterObj)
    self.characterObj = characterObj
end

function CharacterStateBase:clear()
    self.characterObj = nil
end

return CharacterStateBase